choix = 0
gris1 = Color.new(255,255,255)
gris2 = Color.new(125,125,125)
selecteur = 0
matrix = Image.load("wall/apercu/matrix.png")
pluie = Image.load("wall/apercu/pluie.png")
pluie_de_feu = Image.load("wall/apercu/pluie de feu.png")
neige = Image.load("wall/apercu/flocon.png")
dark_rain = Image.load("wall/apercu/dark rain.png")
coeur = Image.load("wall/apercu/coeur.png")
selecteur_img = Image.load("wall/wall selector.png")
while true do
screen:clear()
pad = Controls.read()

position_selecteur_wall_y = 0-selecteur*50

screen:blit(0,position_selecteur_wall_y+selecteur*80+26-158,selecteur_img,0,0,480,79)
screen:blit(0,position_selecteur_wall_y+selecteur*80+26-79,selecteur_img)
screen:blit(0,position_selecteur_wall_y+selecteur*80+26+79,selecteur_img,0,0,480,79)

screen:blit(5,position_selecteur_wall_y+28,matrix)
screen:fontPrint(font,85,position_selecteur_wall_y+46,"Matrix",gris1)
screen:blit(5,position_selecteur_wall_y+108,pluie)
screen:fontPrint(font,85,position_selecteur_wall_y+126,"Pluie",gris1)
screen:blit(5,position_selecteur_wall_y+188,pluie_de_feu)
screen:fontPrint(font,85,position_selecteur_wall_y+206,"Pluie de feu",gris1)
screen:blit(5,position_selecteur_wall_y+268,neige)
screen:fontPrint(font,85,position_selecteur_wall_y+286,"Neige",gris1)
screen:blit(5,position_selecteur_wall_y+348,dark_rain)
screen:fontPrint(font,85,position_selecteur_wall_y+366,"Pixel Hell",Color.new(math.random(0,255),math.random(0,255),math.random(0,255)))
screen:fontPrint(small_font,85,position_selecteur_wall_y+386,"Ne convient pas aux personnes ayant des antecedents epileptiques",gris2)
screen:blit(5,position_selecteur_wall_y+428,coeur)
screen:fontPrint(font,85,position_selecteur_wall_y+446,"St Valentin",Color.new(255,50,50))

if selecteur < 5 then
 if pad:down() and not oldpad:down() or pad:analogY()>60 then
  selecteur=selecteur+1
 end
end

if selecteur > 0 then
 if pad:up() and not oldpad:up() or pad:analogY()<-60 then
  selecteur=selecteur-1
 end
end 

if pad:cross() and not oldpad:cross() then
 fichier = io.open("ms0:/psp/game/Android/wall/options.ini","w")
 if selecteur == 0 then
  fichier:write("wall_choisis = 'matrix.lua'")
 elseif selecteur == 1 then
  fichier:write("wall_choisis = 'rain.lua'")
 elseif selecteur == 2 then
  fichier:write("wall_choisis = 'fire-rain.lua'")
 elseif selecteur == 3 then
  fichier:write("wall_choisis = 'neige.lua'")
 elseif selecteur == 4 then
  fichier:write("wall_choisis = 'pixel hell.lua'")
 elseif selecteur == 5 then
  fichier:write("wall_choisis = 'coeur.lua'")
 end
 fichier:close()
 Android:Quitter()
end

if pad:triangle() and not oldpad:triangle() and help==false then
 help=true
elseif pad:triangle() and not oldpad:triangle() and help==true then
 help=false
end
if help == true then
 System.message("Aide\n"..
                "Pour valider un choix, appuyez sur croix.\n"..
                "Pour retourner au menu precedent, appuyez sur rond.\n",0)
 help = false
end
 
if pad:circle() and not oldpad:circle() then  
 dofile("APPS/Parametres/script.lua")
end
Android:Barre()
screen.flip()
screen.waitVblankStart()
oldpad = pad
end
